### Method

# ICalGLib Timezone set_component

since: 1.0

#### Declaration [src]

    gint
    i_cal_timezone_set_component (
      ICalTimezone* zone,
      ICalComponent* comp
    )

#### Description [src]

Sets the VTIMEZONE component of `ICalTimezone`, initializing the tzid, location and tzname fields. It returns 1 on success or 0 on failure, i.e. no TZID was found.

`note` The `zone` assumes ownership of the `comp`, thus make sure you pass an unowned `ICalComponent`.

Available since: 1.0

#### Parameters

`comp`

  Type: `ICalComponent`

  The VTIMEZONE component of an `ICalTimezone`, initializing the tzid, location and tzname fields.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

Whether the action is successful. 1 for success, 0 for failure.